diff --git a/lustre/ptlrpc/recov_thread.c b/lustre/ptlrpc/recov_thread.c
index d86ab0c..2f0e93c 100644
--- a/lustre/ptlrpc/recov_thread.c
+++ b/lustre/ptlrpc/recov_thread.c
@@ -226,7 +226,7 @@ static int llcd_send(struct llog_canceld_ctxt *llcd)
                 llcd_print(llcd, __FUNCTION__, __LINE__);
                 LBUG();
         }
-        LASSERT_SEM_LOCKED(&ctxt->loc_sem);
+        LASSERT_MUTEX_LOCKED(&ctxt->loc_mutex);
 
         if (llcd->llcd_cookiebytes == 0)
                 GOTO(exit, rc = 0);
@@ -305,7 +305,7 @@ static int
 llcd_attach(struct llog_ctxt *ctxt, struct llog_canceld_ctxt *llcd)
 {
         LASSERT(ctxt != NULL && llcd != NULL);
-        LASSERT_SEM_LOCKED(&ctxt->loc_sem);
+        LASSERT_MUTEX_LOCKED(&ctxt->loc_mutex);
         LASSERT(ctxt->loc_llcd == NULL);
         llcd->llcd_ctxt = llog_ctxt_get(ctxt);
         ctxt->loc_llcd = llcd;
@@ -325,7 +325,7 @@ static struct llog_canceld_ctxt *llcd_detach(struct llog_ctxt *ctxt)
         struct llog_canceld_ctxt *llcd;
 
         LASSERT(ctxt != NULL);
-        LASSERT_SEM_LOCKED(&ctxt->loc_sem);
+        LASSERT_MUTEX_LOCKED(&ctxt->loc_mutex);
 
         llcd = ctxt->loc_llcd;
         if (!llcd)
@@ -574,10 +574,10 @@ int llog_obd_repl_connect(struct llog_ctxt *ctxt,
         /*
          * Start recovery in separate thread.
          */
-        cfs_mutex_down(&ctxt->loc_sem);
+        cfs_mutex_lock(&ctxt->loc_mutex);
         ctxt->loc_gen = *gen;
         rc = llog_recov_thread_replay(ctxt, ctxt->llog_proc_cb, logid);
-        cfs_mutex_up(&ctxt->loc_sem);
+        cfs_mutex_unlock(&ctxt->loc_mutex);
 
         RETURN(rc);
 }
@@ -599,7 +599,7 @@ int llog_obd_repl_cancel(struct llog_ctxt *ctxt,
 
         LASSERT(ctxt != NULL);
 
-        cfs_mutex_down(&ctxt->loc_sem);
+        cfs_mutex_lock(&ctxt->loc_mutex);
         if (!ctxt->loc_lcm) {
                 CDEBUG(D_RPCTRACE, "No lcm for ctxt %p\n", ctxt);
                 GOTO(out, rc = -ENODEV);
@@ -680,7 +680,7 @@ int llog_obd_repl_cancel(struct llog_ctxt *ctxt,
 out:
         if (rc)
                 llcd_put(ctxt);
-        cfs_mutex_up(&ctxt->loc_sem);
+        cfs_mutex_unlock(&ctxt->loc_mutex);
         return rc;
 }
 EXPORT_SYMBOL(llog_obd_repl_cancel);
@@ -693,7 +693,7 @@ int llog_obd_repl_sync(struct llog_ctxt *ctxt, struct obd_export *exp)
         /*
          * Flush any remaining llcd.
          */
-        cfs_mutex_down(&ctxt->loc_sem);
+        cfs_mutex_lock(&ctxt->loc_mutex);
         if (exp && (ctxt->loc_imp == exp->exp_imp_reverse)) {
                 /*
                  * This is ost->mds connection, we can't be sure that mds
@@ -701,7 +701,7 @@ int llog_obd_repl_sync(struct llog_ctxt *ctxt, struct obd_export *exp)
                  */
                 CDEBUG(D_RPCTRACE, "Kill cached llcd\n");
                 llcd_put(ctxt);
-                cfs_mutex_up(&ctxt->loc_sem);
+                cfs_mutex_unlock(&ctxt->loc_mutex);
         } else {
                 /*
                  * This is either llog_sync() from generic llog code or sync
@@ -709,7 +709,7 @@ int llog_obd_repl_sync(struct llog_ctxt *ctxt, struct obd_export *exp)
                  * llcds to the target with waiting for completion.
                  */
                 CDEBUG(D_RPCTRACE, "Sync cached llcd\n");
-                cfs_mutex_up(&ctxt->loc_sem);
+                cfs_mutex_unlock(&ctxt->loc_mutex);
                 rc = llog_cancel(ctxt, NULL, 0, NULL, OBD_LLOG_FL_SENDNOW);
         }
         RETURN(rc);
diff --git a/lustre/ptlrpc/sec.c b/lustre/ptlrpc/sec.c
index 62af35c..414974d 100644
--- a/lustre/ptlrpc/sec.c
+++ b/lustre/ptlrpc/sec.c
@@ -120,7 +120,7 @@ EXPORT_SYMBOL(sptlrpc_unregister_policy);
 static
 struct ptlrpc_sec_policy * sptlrpc_wireflavor2policy(__u32 flavor)
 {
-        static CFS_DECLARE_MUTEX(load_mutex);
+        static CFS_DEFINE_MUTEX(load_mutex);
         static cfs_atomic_t       loaded = CFS_ATOMIC_INIT(0);
         struct ptlrpc_sec_policy *policy;
         __u16                     number = SPTLRPC_FLVR_POLICY(flavor);
@@ -143,7 +143,7 @@ struct ptlrpc_sec_policy * sptlrpc_wireflavor2policy(__u32 flavor)
                         break;
 
                 /* try to load gss module, once */
-                cfs_mutex_down(&load_mutex);
+                cfs_mutex_lock(&load_mutex);
                 if (cfs_atomic_read(&loaded) == 0) {
                         if (cfs_request_module("ptlrpc_gss") == 0)
                                 CWARN("module ptlrpc_gss loaded on demand\n");
@@ -152,7 +152,7 @@ struct ptlrpc_sec_policy * sptlrpc_wireflavor2policy(__u32 flavor)
 
                         cfs_atomic_set(&loaded, 1);
                 }
-                cfs_mutex_up(&load_mutex);
+                cfs_mutex_unlock(&load_mutex);
         }
 
         return policy;
@@ -1475,7 +1475,7 @@ int sptlrpc_import_sec_adapt(struct obd_import *imp,
                               sptlrpc_flavor2name(&sf, str, sizeof(str)));
         }
 
-        cfs_mutex_down(&imp->imp_sec_mutex);
+        cfs_mutex_lock(&imp->imp_sec_mutex);
 
         newsec = sptlrpc_sec_create(imp, svc_ctx, &sf, sp);
         if (newsec) {
@@ -1487,7 +1487,7 @@ int sptlrpc_import_sec_adapt(struct obd_import *imp,
                 rc = -EPERM;
         }
 
-        cfs_mutex_up(&imp->imp_sec_mutex);
+        cfs_mutex_unlock(&imp->imp_sec_mutex);
 out:
         sptlrpc_sec_put(sec);
         RETURN(rc);
diff --git a/lustre/ptlrpc/sec_bulk.c b/lustre/ptlrpc/sec_bulk.c
index dfe6b87..2068064 100644
--- a/lustre/ptlrpc/sec_bulk.c
+++ b/lustre/ptlrpc/sec_bulk.c
@@ -396,7 +396,7 @@ static void enc_pools_insert(cfs_page_t ***pools, int npools, int npages)
 
 static int enc_pools_add_pages(int npages)
 {
-        static CFS_DECLARE_MUTEX(sem_add_pages);
+        static CFS_DEFINE_MUTEX(add_pages_mutex);
         cfs_page_t   ***pools;
         int             npools, alloced = 0;
         int             i, j, rc = -ENOMEM;
@@ -404,7 +404,7 @@ static int enc_pools_add_pages(int npages)
         if (npages < PTLRPC_MAX_BRW_PAGES)
                 npages = PTLRPC_MAX_BRW_PAGES;
 
-        cfs_down(&sem_add_pages);
+        cfs_mutex_lock(&add_pages_mutex);
 
         if (npages + page_pools.epp_total_pages > page_pools.epp_max_pages)
                 npages = page_pools.epp_max_pages - page_pools.epp_total_pages;
@@ -446,7 +446,7 @@ out:
                 CERROR("Failed to allocate %d enc pages\n", npages);
         }
 
-        cfs_up(&sem_add_pages);
+        cfs_mutex_unlock(&add_pages_mutex);
         return rc;
 }
 
diff --git a/lustre/quota/quota_master.c b/lustre/quota/quota_master.c
index 710f801..8ee7c95 100644
--- a/lustre/quota/quota_master.c
+++ b/lustre/quota/quota_master.c
@@ -64,7 +64,7 @@
 
 #ifdef HAVE_QUOTA_SUPPORT
 
-/* lock ordering: mds->mds_qonoff_sem > dquot->dq_sem > lqs->lqs_lock */
+/* lock ordering: mds->mds_qonoff_sem > dquot->dq_mutex > lqs->lqs_lock */
 static cfs_list_t lustre_dquot_hash[NR_DQHASH];
 static cfs_rwlock_t dquot_hash_lock = CFS_RW_LOCK_UNLOCKED;
 
@@ -145,7 +145,8 @@ static struct lustre_dquot *alloc_dquot(struct lustre_quota_info *lqi,
                 RETURN(NULL);
 
         CFS_INIT_LIST_HEAD(&dquot->dq_hash);
-        cfs_init_mutex_locked(&dquot->dq_sem);
+        cfs_mutex_init(&dquot->dq_mutex);
+        cfs_mutex_lock(&dquot->dq_mutex);
         cfs_atomic_set(&dquot->dq_refcnt, 1);
         dquot->dq_info = lqi;
         dquot->dq_id = id;
@@ -203,6 +204,7 @@ static struct lustre_dquot *lustre_dqget(struct obd_device *obd,
         if ((dquot = find_dquot(hashent, lqi, id, type)) != NULL) {
                 cfs_atomic_inc(&dquot->dq_refcnt);
                 cfs_read_unlock(&dquot_hash_lock);
+                cfs_mutex_unlock(&empty->dq_mutex);
                 free_dq = 1;
         } else {
                 int rc;
@@ -211,7 +213,7 @@ static struct lustre_dquot *lustre_dqget(struct obd_device *obd,
 
                 dquot = empty;
                 rc = fsfilt_dquot(obd, dquot, QFILE_RD_DQUOT);
-                cfs_up(&dquot->dq_sem);
+                cfs_mutex_unlock(&dquot->dq_mutex);
                 if (rc) {
                         CERROR("can't read dquot from admin quotafile! "
                                "(rc:%d)\n", rc);
@@ -293,7 +295,7 @@ int dqacq_adjust_qunit_sz(struct obd_device *obd, qid_t id, int type,
         if (!oqaq)
                 GOTO(out, rc = -ENOMEM);
 
-        cfs_down(&dquot->dq_sem);
+        cfs_mutex_lock(&dquot->dq_mutex);
         init_oqaq(oqaq, qctxt, id, type);
 
         rc = dquot_create_oqaq(qctxt, dquot, ost_num, mdt_num,
@@ -327,7 +329,7 @@ int dqacq_adjust_qunit_sz(struct obd_device *obd, qid_t id, int type,
         else
                 qid[USRQUOTA] = dquot->dq_id;
 
-        cfs_up(&dquot->dq_sem);
+        cfs_mutex_unlock(&dquot->dq_mutex);
 
         rc = qctxt_adjust_qunit(obd, qctxt, qid, is_blk, 0, NULL);
         if (rc == -EDQUOT || rc == -EBUSY) {
@@ -351,7 +353,7 @@ out:
 
         RETURN(rc);
 out_sem:
-        cfs_up(&dquot->dq_sem);
+        cfs_mutex_unlock(&dquot->dq_mutex);
 	goto out;
 }
 
@@ -403,7 +405,7 @@ int dqacq_handler(struct obd_device *obd, struct qunit_data *qdata, int opc)
         DQUOT_DEBUG(dquot, "get dquot in dqacq_handler\n");
         QINFO_DEBUG(dquot->dq_info, "get dquot in dqadq_handler\n");
 
-        cfs_down(&dquot->dq_sem);
+        cfs_mutex_lock(&dquot->dq_mutex);
 
         if (QDATA_IS_BLK(qdata)) {
                 grace = info->qi_info[QDATA_IS_GRP(qdata)].dqi_bgrace;
@@ -470,7 +472,7 @@ int dqacq_handler(struct obd_device *obd, struct qunit_data *qdata, int opc)
         rc = fsfilt_dquot(obd, dquot, QFILE_WR_DQUOT);
         EXIT;
 out:
-        cfs_up(&dquot->dq_sem);
+        cfs_mutex_unlock(&dquot->dq_mutex);
         cfs_up_write(&mds->mds_qonoff_sem);
         lustre_dqput(dquot);
         if (rc != -EDQUOT)
@@ -1031,7 +1033,7 @@ int dquot_create_oqaq(struct lustre_quota_ctxt *qctxt,
 
         if (!dquot || !oqaq)
                 RETURN(-EINVAL);
-        LASSERT_SEM_LOCKED(&dquot->dq_sem);
+        LASSERT_MUTEX_LOCKED(&dquot->dq_mutex);
         LASSERT(oqaq->qaq_iunit_sz);
         LASSERT(oqaq->qaq_bunit_sz);
 
@@ -1339,11 +1341,11 @@ int mds_set_dqblk(struct obd_device *obd, struct obd_quotactl *oqctl)
         if (rc)
                 GOTO(out, rc);
 
-        cfs_down(&dquot->dq_sem);
+        cfs_mutex_lock(&dquot->dq_mutex);
         cfs_spin_lock(&lqs->lqs_lock);
         if (LQS_IS_SETQUOTA(lqs) || LQS_IS_RECOVERY(lqs)) {
                 cfs_spin_unlock(&lqs->lqs_lock);
-                cfs_up(&dquot->dq_sem);
+                cfs_mutex_unlock(&dquot->dq_mutex);
                 GOTO(skip, rc = -EBUSY);
         }
         LQS_SET_SETQUOTA(lqs);
@@ -1408,7 +1410,7 @@ int mds_set_dqblk(struct obd_device *obd, struct obd_quotactl *oqctl)
 
         rc = fsfilt_dquot(obd, dquot, QFILE_WR_DQUOT);
 
-        cfs_up(&dquot->dq_sem);
+        cfs_mutex_unlock(&dquot->dq_mutex);
 
         if (rc) {
                 CERROR("set limit failed! (rc:%d)\n", rc);
@@ -1421,9 +1423,9 @@ int mds_set_dqblk(struct obd_device *obd, struct obd_quotactl *oqctl)
         orig_set = ihardlimit || isoftlimit;
         now_set  = dqblk->dqb_ihardlimit || dqblk->dqb_isoftlimit;
         if (dqblk->dqb_valid & QIF_ILIMITS && orig_set != now_set) {
-                cfs_down(&dquot->dq_sem);
+                cfs_mutex_lock(&dquot->dq_mutex);
                 dquot->dq_dqb.dqb_curinodes = 0;
-                cfs_up(&dquot->dq_sem);
+                cfs_mutex_unlock(&dquot->dq_mutex);
                 rc = mds_init_slave_ilimits(obd, oqctl, orig_set);
                 if (rc) {
                         CERROR("init slave ilimits failed! (rc:%d)\n", rc);
@@ -1434,9 +1436,9 @@ int mds_set_dqblk(struct obd_device *obd, struct obd_quotactl *oqctl)
         orig_set = bhardlimit || bsoftlimit;
         now_set  = dqblk->dqb_bhardlimit || dqblk->dqb_bsoftlimit;
         if (dqblk->dqb_valid & QIF_BLIMITS && orig_set != now_set) {
-                cfs_down(&dquot->dq_sem);
+                cfs_mutex_lock(&dquot->dq_mutex);
                 dquot->dq_dqb.dqb_curspace = 0;
-                cfs_up(&dquot->dq_sem);
+                cfs_mutex_unlock(&dquot->dq_mutex);
                 rc = mds_init_slave_blimits(obd, oqctl, orig_set);
                 if (rc) {
                         CERROR("init slave blimits failed! (rc:%d)\n", rc);
@@ -1446,7 +1448,7 @@ int mds_set_dqblk(struct obd_device *obd, struct obd_quotactl *oqctl)
 
 revoke_out:
         cfs_down_write(&mds->mds_qonoff_sem);
-        cfs_down(&dquot->dq_sem);
+        cfs_mutex_lock(&dquot->dq_mutex);
         if (rc) {
                 /* cancel previous setting */
                 dquot->dq_dqb.dqb_ihardlimit = ihardlimit;
@@ -1457,7 +1459,7 @@ revoke_out:
                 dquot->dq_dqb.dqb_itime = itime;
         }
         rc2 = fsfilt_dquot(obd, dquot, QFILE_WR_DQUOT);
-        cfs_up(&dquot->dq_sem);
+        cfs_mutex_unlock(&dquot->dq_mutex);
 update_fail:
         cfs_spin_lock(&lqs->lqs_lock);
         LQS_CLEAR_SETQUOTA(lqs);
@@ -1540,7 +1542,7 @@ int mds_get_dqblk(struct obd_device *obd, struct obd_quotactl *oqctl)
         if (IS_ERR(dquot))
                 GOTO(out, rc = PTR_ERR(dquot));
 
-        cfs_down(&dquot->dq_sem);
+        cfs_mutex_lock(&dquot->dq_mutex);
         dqblk->dqb_ihardlimit = dquot->dq_dqb.dqb_ihardlimit;
         dqblk->dqb_isoftlimit = dquot->dq_dqb.dqb_isoftlimit;
         dqblk->dqb_bhardlimit = dquot->dq_dqb.dqb_bhardlimit;
@@ -1548,7 +1550,7 @@ int mds_get_dqblk(struct obd_device *obd, struct obd_quotactl *oqctl)
         dqblk->dqb_btime = dquot->dq_dqb.dqb_btime;
         dqblk->dqb_itime = dquot->dq_dqb.dqb_itime;
         dqblk->dqb_valid |= QIF_LIMITS | QIF_TIMES;
-        cfs_up(&dquot->dq_sem);
+        cfs_mutex_unlock(&dquot->dq_mutex);
 
         lustre_dqput(dquot);
         cfs_up_read(&mds->mds_qonoff_sem);
@@ -1624,20 +1626,20 @@ dquot_recovery(struct obd_device *obd, unsigned int id, unsigned short type)
         if (rc)
                 GOTO(skip, rc);
 
-        cfs_down(&dquot->dq_sem);
+        cfs_mutex_lock(&dquot->dq_mutex);
 
         /* don't recover the dquot without limits or quota is setting or
          * another recovery is already going on */
         if (!(dquot->dq_dqb.dqb_bhardlimit || dquot->dq_dqb.dqb_bsoftlimit) ||
             LQS_IS_SETQUOTA(lqs) || LQS_IS_RECOVERY(lqs)) {
-                cfs_up(&dquot->dq_sem);
+                cfs_mutex_unlock(&dquot->dq_mutex);
                 GOTO(skip1, rc = 0);
         }
 
         cfs_spin_lock(&lqs->lqs_lock);
         LQS_SET_RECOVERY(lqs);
         cfs_spin_unlock(&lqs->lqs_lock);
-        cfs_up(&dquot->dq_sem);
+        cfs_mutex_unlock(&dquot->dq_mutex);
 
         /* release mds_qonoff_sem during obd_quotactl ops here */
         cfs_up_write(&mds->mds_qonoff_sem);
@@ -1660,7 +1662,7 @@ dquot_recovery(struct obd_device *obd, unsigned int id, unsigned short type)
         total_limits += qctl->qc_dqblk.dqb_bhardlimit;
 
         /* amend the usage of the administrative quotafile */
-        cfs_down(&dquot->dq_sem);
+        cfs_mutex_lock(&dquot->dq_mutex);
 
         dquot->dq_dqb.dqb_curspace = total_limits << QUOTABLOCK_BITS;
 
@@ -1668,7 +1670,7 @@ dquot_recovery(struct obd_device *obd, unsigned int id, unsigned short type)
         if (rc)
                 CERROR("write dquot failed! (rc:%d)\n", rc);
 
-        cfs_up(&dquot->dq_sem);
+        cfs_mutex_unlock(&dquot->dq_mutex);
         EXIT;
 out:
         cfs_spin_lock(&lqs->lqs_lock);
@@ -1753,15 +1755,15 @@ int mds_quota_recovery(struct obd_device *obd)
         if (unlikely(!mds->mds_quota || obd->obd_stopping))
                 RETURN(rc);
 
-        cfs_mutex_down(&obd->obd_dev_sem);
+        cfs_mutex_lock(&obd->obd_dev_mutex);
         if (mds->mds_lov_desc.ld_active_tgt_count != mds->mds_lov_objid_count) {
                 CWARN("Only %u/%u OSTs are active, abort quota recovery\n",
                       mds->mds_lov_desc.ld_active_tgt_count,
                       mds->mds_lov_objid_count);
-                cfs_mutex_up(&obd->obd_dev_sem);
+                cfs_mutex_unlock(&obd->obd_dev_mutex);
                 RETURN(rc);
         }
-        cfs_mutex_up(&obd->obd_dev_sem);
+        cfs_mutex_unlock(&obd->obd_dev_mutex);
 
         data.obd = obd;
         cfs_init_completion(&data.comp);
